<manifest>
  <application>
    <activity android:name=".MainActivity" >
      <intent-filter>
        <action android:name="android.intent.action.VIEW" />
        <category android:name="android.intent.category.DEFAULT" />
        <category android:name="android.intent.category.BROWSABLE" />
        <data
            android:host="www.example.com"
            android:pathPrefix="/main"
            android:scheme="http" />
      </intent-filter>
    </activity>
  </application>
</manifest>
